//NewGuideGraphCanvas.java

import java.awt.*;
import java.awt.event.*;
import java.applet.*;
//import java.lang.*;

public class NewGuideGraphCanvasF extends GraphCanvasC{//RadarCanvas{
    //private static final Color bgcolor = new Color(236,236,221);
    //private static final Color bgcolor = new Color(170,240,240);
    private static final Color bgcolor = Color.gray;
    private NewGuide_State state;
    private static final int LeftMargin=10, RightMargin=10, TopMargin=10, BottomMargin=10;
    
    public NewGuideGraphCanvasF(NewGuide_State state){
	
	super();
	this.state = state;
	setBackground(bgcolor);
	
	setYRangeMax(MaestroA.getMax(state.ethetaM));
	setYRangeMin(0.0);
	plotZeroLine(false);
	plotRefPoint(false);
	setPhiAngle(0);
	setType(1);
	//setLabels("","V/m","\u03b8  [degrees]");
        setLabels("","","\u03b8  [degrees]");
	setRefPoint(state.theta_angle);
	setPolar(false);
	
	plot(state.x_polar,state.ethetaM);
   }
   
}
